Loading...
Searching...
No Matches
target_options

Options for creating a target node for a sender or receiver. More...

`#include <target_options.hpp>`

## Public Member Functions

| target_options ()
| Create an empty set of options.
| target_options (const target_options &)
| Copy options.
target_options & | operator= (const target_options &)
| Copy options.
target_options & | address (const std::string &addr)
| Set the address for the target.
target_options & | dynamic (bool)
| Request that a node be dynamically created by the remote peer.
target_options & | anonymous (bool)
| Request an anonymous node on the remote peer.
target_options & | durability_mode (enum target::durability_mode)
| Control the persistence of the target node.
target_options & | timeout (duration)
| The expiry period after which the target is discarded.
target_options & | expiry_policy (enum target::expiry_policy)
| Control when the clock for expiration begins.
target_options & | capabilities (const std::vector< symbol > &)
| Unsettled API Extension capabilities that are supported/requested
target_options & | dynamic_properties (const target::dynamic_property_map &)
| Unsettled API Set the dynamic node properties.

## Detailed Description

Options for creating a target node for a sender or receiver.

Options can be "chained". For more information see proton::connection_options.

Normal value semantics: copy or assign creates a separate copy of the options.

## Member Function Documentation

## address()

target_options & address | ( | const std::string & | addr | ) |

Set the address for the target.

It is unset by default. The address is ignored if dynamic() is true.

## dynamic()

target_options & dynamic | ( | bool |  | ) |

Request that a node be dynamically created by the remote peer.

The default is false. Any specified target address() is ignored if true.

## anonymous()

target_options & anonymous | ( | bool |  | ) |

Request an anonymous node on the remote peer.

The default is false. Any specified target address() is ignored if true.

## durability_mode()

target_options & durability_mode | ( | enum target::durability_mode |  | ) |

Control the persistence of the target node.

The default is target::NONDURABLE, meaning non-persistent.

## timeout()

target_options & timeout | ( | duration |  | ) |

The expiry period after which the target is discarded.

The default is no timeout.

## expiry_policy()

target_options & expiry_policy | ( | enum target::expiry_policy |  | ) |

Control when the clock for expiration begins.

The default is target::LINK_CLOSE.

The documentation for this class was generated from the following file:

- proton/target_options.hpp